> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hiveku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Projects

> Create and manage builder projects

## Get Dashboard Stats

<ParamField path="GET" type="/builder/dashboard/stats">
  Returns project statistics for the current organization.
</ParamField>

**Response**

```json theme={null}
{
  "totalProjects": 12,
  "activeContainers": 3,
  "totalDeployments": 47,
  "storageUsed": "2.4 GB"
}
```

***

## Get Project Config

<ParamField path="GET" type="/projects/config/{projectId}">
  Returns the configuration for a specific project.
</ParamField>

**Path Parameters**

| Parameter   | Type   | Description        |
| ----------- | ------ | ------------------ |
| `projectId` | string | The project's UUID |

**Response**

```json theme={null}
{
  "id": "project_abc123",
  "name": "My Website",
  "runtime": "nextjs",
  "status": "deployed",
  "domain": "my-website.hiveku.com",
  "customDomain": "www.example.com",
  "createdAt": "2025-01-15T10:30:00Z"
}
```

***

## Update Project Config

<ParamField path="PATCH" type="/projects/config/{projectId}">
  Updates a project's configuration.
</ParamField>

**Path Parameters**

| Parameter   | Type   | Description        |
| ----------- | ------ | ------------------ |
| `projectId` | string | The project's UUID |

**Request Body**

```json theme={null}
{
  "name": "Updated Project Name",
  "customDomain": "www.newdomain.com"
}
```
